// just putting "shared" things in the header?

#define VERSION "0.2"
#define DEFAULT_FRACT_HEIGHT 240
#define DEFAULT_FRACT_WIDTH 320
#define FRACT_STEP 3

#define SCREEN_FRACTION_X 0.1
#define SCREEN_FRACTION_Y 0.1

// data types
typedef struct bounds {
  float xmax, xmin, ymax, ymin;
} FractBounds;

typedef struct point {
  float x, y;
} FractPoint;

typedef struct dimension {
  int width, height;
} FractDimension;

typedef struct distance {
  int up, over;
} FractDistance;

// simple functions
void fract_init(void);      // call me first!
void fract_plot(void);      // plot the current bounds
void fract_update(void);    // roam as you please
void fract_interrupt(void); // stop plotting!?

//function for getting data as necessary?

FractBounds fract_bounds_get(void);
short* fract_get(void);

//functions for modifying stuff -- can't modify stuff while pilot runs
void fract_bounds_set(FractBounds);
FractBounds fract_bounds_get(void);
void fract_pilot_toggle(void);
void fract_style_toggle(void);
void fract_size_set(FractDimension);
FractDimension fract_size_get(void);

//functions for user input modifying stuff?
void fract_move(int up, int left, int in);
void fract_center(double x, double y); //relative pixel coordinates to center on
